﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.1
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.1.
// 
#pragma warning disable 1591

namespace DevExpressMvcApplication1.SC {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.ComponentModel;
    using System.Xml.Serialization;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ServiceSoap", Namespace="http://tempuri.org/")]
    public partial class Service : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback LoginOperationCompleted;
        
        private System.Threading.SendOrPostCallback getRoleOperationCompleted;
        
        private System.Threading.SendOrPostCallback changeAttrOperationCompleted;
        
        private System.Threading.SendOrPostCallback delEmplOperationCompleted;
        
        private System.Threading.SendOrPostCallback createEmplOperationCompleted;
        
        private System.Threading.SendOrPostCallback appListOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public Service() {
            this.Url = global::DevExpressMvcApplication1.Properties.Settings.Default.DevExpressMvcApplication1_SC_Service;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event LoginCompletedEventHandler LoginCompleted;
        
        /// <remarks/>
        public event getRoleCompletedEventHandler getRoleCompleted;
        
        /// <remarks/>
        public event changeAttrCompletedEventHandler changeAttrCompleted;
        
        /// <remarks/>
        public event delEmplCompletedEventHandler delEmplCompleted;
        
        /// <remarks/>
        public event createEmplCompletedEventHandler createEmplCompleted;
        
        /// <remarks/>
        public event appListCompletedEventHandler appListCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/Login", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool Login(string UserName, string Password, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] Token) {
            object[] results = this.Invoke("Login", new object[] {
                        UserName,
                        Password,
                        Token});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void LoginAsync(string UserName, string Password, byte[] Token) {
            this.LoginAsync(UserName, Password, Token, null);
        }
        
        /// <remarks/>
        public void LoginAsync(string UserName, string Password, byte[] Token, object userState) {
            if ((this.LoginOperationCompleted == null)) {
                this.LoginOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLoginOperationCompleted);
            }
            this.InvokeAsync("Login", new object[] {
                        UserName,
                        Password,
                        Token}, this.LoginOperationCompleted, userState);
        }
        
        private void OnLoginOperationCompleted(object arg) {
            if ((this.LoginCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.LoginCompleted(this, new LoginCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getRole", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string getRole(string UserName, string Password, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] Token, string App) {
            object[] results = this.Invoke("getRole", new object[] {
                        UserName,
                        Password,
                        Token,
                        App});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void getRoleAsync(string UserName, string Password, byte[] Token, string App) {
            this.getRoleAsync(UserName, Password, Token, App, null);
        }
        
        /// <remarks/>
        public void getRoleAsync(string UserName, string Password, byte[] Token, string App, object userState) {
            if ((this.getRoleOperationCompleted == null)) {
                this.getRoleOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetRoleOperationCompleted);
            }
            this.InvokeAsync("getRole", new object[] {
                        UserName,
                        Password,
                        Token,
                        App}, this.getRoleOperationCompleted, userState);
        }
        
        private void OngetRoleOperationCompleted(object arg) {
            if ((this.getRoleCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getRoleCompleted(this, new getRoleCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/changeAttr", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool changeAttr(string UserName, string Password, string attr, string OldVal, string NewVal) {
            object[] results = this.Invoke("changeAttr", new object[] {
                        UserName,
                        Password,
                        attr,
                        OldVal,
                        NewVal});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void changeAttrAsync(string UserName, string Password, string attr, string OldVal, string NewVal) {
            this.changeAttrAsync(UserName, Password, attr, OldVal, NewVal, null);
        }
        
        /// <remarks/>
        public void changeAttrAsync(string UserName, string Password, string attr, string OldVal, string NewVal, object userState) {
            if ((this.changeAttrOperationCompleted == null)) {
                this.changeAttrOperationCompleted = new System.Threading.SendOrPostCallback(this.OnchangeAttrOperationCompleted);
            }
            this.InvokeAsync("changeAttr", new object[] {
                        UserName,
                        Password,
                        attr,
                        OldVal,
                        NewVal}, this.changeAttrOperationCompleted, userState);
        }
        
        private void OnchangeAttrOperationCompleted(object arg) {
            if ((this.changeAttrCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.changeAttrCompleted(this, new changeAttrCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/delEmpl", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool delEmpl(string UserName, string Password, string user, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] Token) {
            object[] results = this.Invoke("delEmpl", new object[] {
                        UserName,
                        Password,
                        user,
                        Token});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void delEmplAsync(string UserName, string Password, string user, byte[] Token) {
            this.delEmplAsync(UserName, Password, user, Token, null);
        }
        
        /// <remarks/>
        public void delEmplAsync(string UserName, string Password, string user, byte[] Token, object userState) {
            if ((this.delEmplOperationCompleted == null)) {
                this.delEmplOperationCompleted = new System.Threading.SendOrPostCallback(this.OndelEmplOperationCompleted);
            }
            this.InvokeAsync("delEmpl", new object[] {
                        UserName,
                        Password,
                        user,
                        Token}, this.delEmplOperationCompleted, userState);
        }
        
        private void OndelEmplOperationCompleted(object arg) {
            if ((this.delEmplCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.delEmplCompleted(this, new delEmplCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/createEmpl", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public int createEmpl(string UserName, string Password, string user, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] Token) {
            object[] results = this.Invoke("createEmpl", new object[] {
                        UserName,
                        Password,
                        user,
                        Token});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void createEmplAsync(string UserName, string Password, string user, byte[] Token) {
            this.createEmplAsync(UserName, Password, user, Token, null);
        }
        
        /// <remarks/>
        public void createEmplAsync(string UserName, string Password, string user, byte[] Token, object userState) {
            if ((this.createEmplOperationCompleted == null)) {
                this.createEmplOperationCompleted = new System.Threading.SendOrPostCallback(this.OncreateEmplOperationCompleted);
            }
            this.InvokeAsync("createEmpl", new object[] {
                        UserName,
                        Password,
                        user,
                        Token}, this.createEmplOperationCompleted, userState);
        }
        
        private void OncreateEmplOperationCompleted(object arg) {
            if ((this.createEmplCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.createEmplCompleted(this, new createEmplCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/appList", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string[] appList(string UserName, string Password, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] Token) {
            object[] results = this.Invoke("appList", new object[] {
                        UserName,
                        Password,
                        Token});
            return ((string[])(results[0]));
        }
        
        /// <remarks/>
        public void appListAsync(string UserName, string Password, byte[] Token) {
            this.appListAsync(UserName, Password, Token, null);
        }
        
        /// <remarks/>
        public void appListAsync(string UserName, string Password, byte[] Token, object userState) {
            if ((this.appListOperationCompleted == null)) {
                this.appListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnappListOperationCompleted);
            }
            this.InvokeAsync("appList", new object[] {
                        UserName,
                        Password,
                        Token}, this.appListOperationCompleted, userState);
        }
        
        private void OnappListOperationCompleted(object arg) {
            if ((this.appListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.appListCompleted(this, new appListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void LoginCompletedEventHandler(object sender, LoginCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class LoginCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal LoginCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void getRoleCompletedEventHandler(object sender, getRoleCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getRoleCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getRoleCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void changeAttrCompletedEventHandler(object sender, changeAttrCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class changeAttrCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal changeAttrCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void delEmplCompletedEventHandler(object sender, delEmplCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class delEmplCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal delEmplCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void createEmplCompletedEventHandler(object sender, createEmplCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class createEmplCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal createEmplCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    public delegate void appListCompletedEventHandler(object sender, appListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.1")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class appListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal appListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string[])(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591